Manage accounts payable records.
Operations
getVendorFmHistoryPagedList
Retrieves a paged list of vendor FM history.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryPagedListPOST /nexum/627/2022.01/accountspayable/getVendorFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getVendorFmHistoryListSelectFields
Retrieves a list of vendor FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryListSelectFieldsPOST /nexum/627/2022.01/accountspayable/getVendorFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchVendorFmHistorySelectFields
Searches vendor FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/searchVendorFmHistorySelectFieldsPOST /nexum/627/2022.01/accountspayable/searchVendorFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getVendorFmHistoryPagedListSelectFields
Returns a page of vendor FM history selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryPagedListSelectFieldsPOST /nexum/627/2022.01/accountspayable/getVendorFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": false,
"VendorFmHistoryFields": {
"PostDate": true,
"RecordName": true,
"FieldName": true,
"OldCharacter": true,
"NewCharacter": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchVendorFmHistoryPagedSelectFields
Searches vendor FM history and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/searchVendorFmHistoryPagedSelectFieldsPOST /nexum/627/2022.01/accountspayable/searchVendorFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": false,
"VendorFmHistoryFields": {
"PostDate": true,
"RecordName": true,
"FieldName": true,
"OldCharacter": true,
"NewCharacter": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateVendorByID
Updates a vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/updateVendorByIDPOST /nexum/627/2022.01/accountspayable/updateVendorByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"VendorUpdatableFields": {
"Name": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}